package com.trafficparrot.sdk.handlebars;

import com.github.jknack.handlebars.Options;
import com.google.common.collect.Iterables;

import java.io.IOException;

public class Size extends TrafficParrotHelper<Object> {
    @Override
    protected Object doApply(Object object, Options options) throws IOException {
        if (object == null) {
            return "{{ Warning: size argument is null }}";
        } else if (object instanceof Iterable) {
            return Iterables.size((Iterable) object);
        } else  {
            return "{{ Warning: cannot get size of '" + object.getClass().getName() + "' }}";
        }
    }
}
