package com.trafficparrot.sdk.file;

import static org.apache.commons.lang3.builder.ToStringBuilder.reflectionToString;
import static org.apache.commons.lang3.builder.ToStringStyle.SHORT_PREFIX_STYLE;

public class FileMessage {
    public final String fileName;
    public final String text;
    public final long timestamp;

    public FileMessage(String fileName, String text, long timestamp) {
        this.fileName = fileName;
        this.text = text;
        this.timestamp = timestamp;
    }

    @Override
    public String toString() {
        return reflectionToString(this, SHORT_PREFIX_STYLE);
    }
}
